#!/usr/bin/env node
process.on('SIGINT', () => process.exit(1))

require('../check-version')('sl-core', function(error) {
  const path = require('path')
  const yParser = require('yargs-parser')

  const script = process.argv[2]
  const args = yParser(process.argv.slice(3))
  const help = () => require(path.posix.join(__dirname, '../commands/help.js'))(args)

  switch(script) {
    case 'init': return require(path.posix.join(__dirname, '../commands/init.js'))(args)
    case '-h':
    case 'help': return help()
    case '-v':
    case 'version': return console.log(require('../package').version)
    default: return require(path.posix.join(__dirname, '../commands/builder.js'))(script, args, help)
  }
}, true)