const chalk = require('chalk')
const check = require('../check-version')
const inquirer = require('inquirer')

module.exports = function(args) {
  console.log('commands:')
  console.log('  init\t\t初始化项目')
  console.log('  help\t\t帮助')
  console.log('')

  try {var bsy = require('../bsy')}
  catch(e) {return console.log(chalk.yellow('Failed to get subcommands.\n'))}

  try {
    const builder = require(bsy.builder)
    builder.help()
  } catch(e) {
    inquirer.prompt([{
      type: 'confirm',
      name: 'willInstall',
      message: `Module '${chalk.cyan(bsy.builder)}' is not installed. Is it installed?`
    }]).then(({ willInstall }) => willInstall && check(
      bsy.builder,
      () => console.log(chalk.cyan('Please try running \'sl -h\' again to see the commands')),
      {...args, 'update-all': true}
    ))
  }
}